# MiniBayesOpt
Mini Bayesian Optimization package at ACML2020 Tutorial on Bayesian Optimization
Copyright by Dr Vu Nguyen.

# Website: http://vu-nguyen.org/BOTutorial_ACML20.html

# Demo and Visualization in 1d and 2d
```
demo_1dimension_BO.ipynb
demo_2dimension_BO.ipynb
```

# Demo and Visualization for batch BO
```
demo_batch_BO.ipynb
```

# Customize your own black-box function
```
demo_customize_your_own_function.ipynb
```

# Dependencies
* numpy=1.9.0
* scipy=0.14.0
* scikit-learn=0.16.1
* tabulate=0.8.7

# Error with scipy=1.15
```
ValueError: `f0` passed has more than 1 dimension.
```
If this is the case, please downgrade to scipy=1.14.1

# Slides and Presentation
Visit http://vu-nguyen.org/BOTutorial_ACML20.html


# Reference
```
Vu Nguyen.  "Tutorial on Recent Advances in Bayesian Optimization" Asian Conference on Machine Learning (ACML), 2020.
```
